Index: console/src/main/org/jboss/console/plugins/AOPLister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/AOPLister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/AOPLister.java	(working copy)
@@ -33,6 +33,7 @@
 import org.jboss.aop.advice.CFlowInterceptor;
 import org.jboss.aop.introduction.InterfaceIntroduction;
 import org.jboss.aop.standalone.Package;
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.TreeNode;
 import org.jboss.console.plugins.helpers.AbstractPluginWrapper;
@@ -90,8 +91,8 @@
          nodes[i] = createTreeNode(
                  group, // name
                  description,
-                 "images/database.gif", // Icon URL
-                 baseUrl + "&group=" + group,
+                 "images/database.gif", // Icon URL //$NON-NLS-1$
+                 baseUrl + "&group=" + group, //$NON-NLS-1$
                  null, // menu
                  null, // sub nodes
                  null   // Sub-Resources
@@ -104,16 +105,16 @@
    {
       org.jboss.aop.metadata.SimpleMetaData metaData = advisor.getDefaultMetaData();
       return createMetaDataTree(metaData,
-              "Default metadata for " + classname,
-              "AOPDefaultMetaData.jsp?classname=" + classname);
+              I18n.gettext("Default metadata for {0}", classname), //$NON-NLS-1$
+              "AOPDefaultMetaData.jsp?classname=" + classname); //$NON-NLS-1$
    }
 
    TreeNode[] loadClassMetaData(ClassAdvisor advisor, String classname) throws Exception
    {
       org.jboss.aop.metadata.SimpleMetaData metaData = advisor.getClassMetaData();
       return createMetaDataTree(metaData,
-              "Class metadata for " + classname,
-              "AOPClassMetaData.jsp?classname=" + classname);
+              I18n.gettext("Class metadata for {0}", classname), //$NON-NLS-1$
+              "AOPClassMetaData.jsp?classname=" + classname); //$NON-NLS-1$
    }
 
    TreeNode[] loadMethodMetaData(ClassAdvisor advisor, String classname) throws Exception
@@ -128,12 +129,12 @@
          String method = (String) it.next();
          org.jboss.aop.metadata.SimpleMetaData methodData = metaData.getMethodMetaData(method);
          TreeNode[] methodNodes = createMetaDataTree(methodData,
-                 "Metadata for method " + method,
-                 "AOPMethodMetaData.jsp?classname=" + classname + "&method=" + java.net.URLEncoder.encode(method));
+                 I18n.gettext("Metadata for method {0}", method), //$NON-NLS-1$
+                 "AOPMethodMetaData.jsp?classname=" + classname + "&method=" + java.net.URLEncoder.encode(method)); //$NON-NLS-1$ //$NON-NLS-2$
          methods.add(createTreeNode(
                  method, // name
-                 "Metadata for method " + method,
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Metadata for method {0}", method), //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  methodNodes, // sub nodes
@@ -156,12 +157,12 @@
          String field = (String) it.next();
          org.jboss.aop.metadata.SimpleMetaData fieldData = metaData.getFieldMetaData(field);
          TreeNode[] fieldNodes = createMetaDataTree(fieldData,
-                 "Metadata for field " + field,
-                 "AOPFieldMetaData.jsp?classname=" + classname + "&field=" + field);
+                 I18n.gettext("Metadata for field {0}", field), //$NON-NLS-1$
+                 "AOPFieldMetaData.jsp?classname=" + classname + "&field=" + field); //$NON-NLS-1$ //$NON-NLS-2$
          fields.add(createTreeNode(
                  field, // name
-                 "Metadata for field " + field,
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Metadata for field {0}", field), //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  fieldNodes, // sub nodes
@@ -184,12 +185,12 @@
          String signature = (String)it.next();
          org.jboss.aop.metadata.SimpleMetaData constructorData = metaData.getConstructorMetaData(signature);
          TreeNode[] constructorNodes = createMetaDataTree(constructorData,
-                 "Metadata for constructor",
-                 "AOPConstructorMetaData.jsp?classname=" + classname + "&constructor=" + java.net.URLEncoder.encode(signature));
+                 I18n.gettext("Metadata for constructor"), //$NON-NLS-1$
+                 "AOPConstructorMetaData.jsp?classname=" + classname + "&constructor=" + java.net.URLEncoder.encode(signature)); //$NON-NLS-1$ //$NON-NLS-2$
          constructors.add(createTreeNode(
                  signature, // name
-                 "Metaata for constructor " + signature,
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Metadata for constructor {0}", signature), //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  constructorNodes, // sub nodes
@@ -210,9 +211,9 @@
       if (defaultMetaData != null)
       {
          nodes.add(createTreeNode(
-                 "Default",
-                 "Default metadata for for " + classname, // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Default"), //$NON-NLS-1$
+                 I18n.gettext("Default metadata for for {0}", classname), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  defaultMetaData, // sub nodes
@@ -224,9 +225,9 @@
       if (classMetaData != null)
       {
          nodes.add(createTreeNode(
-               "Class",
-               "Class metadata for for " + classname, // description
-               "images/starfolder.gif", // Icon URL
+               I18n.gettext("Class"), //$NON-NLS-1$
+               I18n.gettext("Class metadata for for {0}", classname), // description //$NON-NLS-1$
+               "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                null,
                null, // menu
                classMetaData, // sub nodes
@@ -238,9 +239,9 @@
       if (methodMetaData != null)
       {
          nodes.add(createTreeNode(
-                 "Methods",
-                 "Method metadata for for " + classname, // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Methods"), //$NON-NLS-1$
+                 I18n.gettext("Method metadata for {0}", classname), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  methodMetaData, // sub nodes
@@ -252,9 +253,9 @@
       if (fieldMetaData != null)
       {
          nodes.add(createTreeNode(
-                 "Fields",
-                 "Field metadata for for " + classname, // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Fields"), //$NON-NLS-1$
+                 I18n.gettext("Field metadata for {0}", classname), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  fieldMetaData, // sub nodes
@@ -266,9 +267,9 @@
       if (constructorMetaData != null)
       {
          nodes.add(createTreeNode(
-                 "Constructors",
-                 "Constructor metadata for for " + classname, // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Constructors"), //$NON-NLS-1$
+                 I18n.gettext("Constructor metadata for {0}", classname), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  constructorMetaData, // sub nodes
@@ -281,9 +282,9 @@
       TreeNode[] subnodes = (TreeNode[]) nodes.toArray(new TreeNode[nodes.size()]);
 
       return createTreeNode(
-              "Metadata", // name
-              "Metadata for " + classname, // description
-              "images/starfolder.gif", // Icon URL
+              I18n.gettext("Metadata"), // name //$NON-NLS-1$
+              I18n.gettext("Metadata for {0}", classname), // description //$NON-NLS-1$
+              "images/starfolder.gif", // Icon URL //$NON-NLS-1$
               null,
               null, // menu
               subnodes, // sub nodes
@@ -301,10 +302,10 @@
       {
          InterfaceIntroduction introduction = (InterfaceIntroduction) introductions.get(i);
          nodes[i] = createTreeNode(
-                 "Introduction " + i, // name
-                 "Introduction for " + advisor.getName(), // description
-                 "images/service.gif", // Icon URL
-                 "AOPIntroductionPointcut.jsp?pointcut=" + java.net.URLEncoder.encode(introduction.getName()), // Default URL
+                 I18n.gettext("Introduction {0}", i), // name //$NON-NLS-1$
+                 I18n.gettext("Introduction for {0}", advisor.getName()), // description //$NON-NLS-1$
+                 "images/service.gif", // Icon URL //$NON-NLS-1$
+                 "AOPIntroductionPointcut.jsp?pointcut=" + java.net.URLEncoder.encode(introduction.getName()), // Default URL //$NON-NLS-1$
                  null, // menu
                  null, // sub nodes
                  null   // Sub-Resources
@@ -316,7 +317,7 @@
 
    public static String shortenMethod(String classname, Method method)
    {
-      return method.toString().replaceAll(classname + "." + method.getName(), method.getName());
+      return method.toString().replaceAll(classname + "." + method.getName(), method.getName()); //$NON-NLS-1$
    }
 
    public static String shortenConstructor(String classname, Constructor constructor)
@@ -327,7 +328,7 @@
 
    public static String shortenField(String classname, Field field)
    {
-      return field.toString().replaceAll(classname + "." + field.getName(), field.getName());
+      return field.toString().replaceAll(classname + "." + field.getName(), field.getName()); //$NON-NLS-1$
    }
 
    public TreeNode[] createAdvisorNodes(ClassAdvisor advisor) throws Exception
@@ -358,11 +359,11 @@
          {
             fieldWriteNodes.add(createTreeNode(
                     shortenField(advisor.getName(), f),
-                    "Field write interceptor chain",
-                    "images/service.gif", // Icon URL
-                    "AOPFieldChain.jsp?classname=" + java.net.URLEncoder.encode(advisor.getName())
-                    + "&field=" + i 
-                    + "&mode=write",
+                    I18n.gettext("Field write interceptor chain"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPFieldChain.jsp?classname=" + java.net.URLEncoder.encode(advisor.getName()) //$NON-NLS-1$
+                    + "&field=" + i  //$NON-NLS-1$
+                    + "&mode=write", //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -373,11 +374,11 @@
          {
             fieldReadNodes.add(createTreeNode(
                     shortenField(advisor.getName(), f),
-                    "Field read interceptor chain",
-                    "images/service.gif", // Icon URL
-                    "AOPFieldChain.jsp?classname=" + java.net.URLEncoder.encode(advisor.getName())
-                    + "&field=" + i
-                    + "&mode=read",
+                    I18n.gettext("Field read interceptor chain"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPFieldChain.jsp?classname=" + java.net.URLEncoder.encode(advisor.getName()) //$NON-NLS-1$
+                    + "&field=" + i //$NON-NLS-1$
+                    + "&mode=read", //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -392,9 +393,9 @@
 	      {
 	         TreeNode[] cnodes = (TreeNode[]) fieldWriteNodes.toArray(new TreeNode[fieldWriteNodes.size()]);
 	         fieldReadWriteNodes.add(createTreeNode(
-	                 "write interceptors", // name
-	                 "field write info", // description
-	                 "images/starfolder.gif", // Icon URL
+	                 I18n.gettext("write interceptors"), // name //$NON-NLS-1$
+	                 I18n.gettext("field write info"), // description //$NON-NLS-1$
+	                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
 	                 null,
 	                 null, // menu
 	                 cnodes, // sub nodes
@@ -406,9 +407,9 @@
 	      {
 	         TreeNode[] cnodes = (TreeNode[]) fieldReadNodes.toArray(new TreeNode[fieldReadNodes.size()]);
 	         fieldReadWriteNodes.add(createTreeNode(
-	                 "read interceptors", // name
-	                 "field read info", // description
-	                 "images/starfolder.gif", // Icon URL
+	                 I18n.gettext("read interceptors"), // name //$NON-NLS-1$
+	                 I18n.gettext("field read info"), // description //$NON-NLS-1$
+	                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
 	                 null,
 	                 null, // menu
 	                 cnodes, // sub nodes
@@ -418,9 +419,9 @@
 	      
 	      TreeNode[] fieldRwNodes = (TreeNode[]) fieldReadWriteNodes.toArray(new TreeNode[fieldReadWriteNodes.size()]);
 	      nodes.add(createTreeNode(
-               "Fields", //name
-               "field info", //description
-               "images/starfolder.gif", // Icon URL
+               I18n.gettext("Fields"), //name //$NON-NLS-1$
+               I18n.gettext("field info"), //description //$NON-NLS-1$
+               "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                null,
                null, // menu
                fieldRwNodes, // sub nodes
@@ -448,11 +449,11 @@
             if (chain != null && chain.length > 0)
             {
                conNodes.add(createTreeNode(
-                       "Interceptors",
-                       "Execution Interceptors",
-                       "images/service.gif", // Icon URL
-                       "AOPConstructorChain.jsp?classname=" + java.net.URLEncoder.encode(con.getDeclaringClass().getName())
-                       + "&constructor=" + i,
+                       I18n.gettext("Interceptors"), //$NON-NLS-1$
+                       I18n.gettext("Execution Interceptors"), //$NON-NLS-1$
+                       "images/service.gif", // Icon URL //$NON-NLS-1$
+                       "AOPConstructorChain.jsp?classname=" + java.net.URLEncoder.encode(con.getDeclaringClass().getName()) //$NON-NLS-1$
+                       + "&constructor=" + i, //$NON-NLS-1$
                        null, // menu
                        null, // sub nodes
                        null   // Sub-Resources
@@ -461,9 +462,9 @@
             if (conCallers != null)
             {
                conNodes.add(createTreeNode(
-                       "constructor callers",
-                       "constructor caller interceptions",
-                       "images/starfolder.gif", // Icon URL
+                       I18n.gettext("constructor callers"), //$NON-NLS-1$
+                       I18n.gettext("constructor caller interceptions"), //$NON-NLS-1$
+                       "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                        null,
                        null, // menu
                        createConstructorConstructorCallers(i, advisor, conCallers), // sub nodes
@@ -473,9 +474,9 @@
             if (methodCallers != null)
             {
                conNodes.add(createTreeNode(
-                       "method callers",
-                       "method caller interceptions",
-                       "images/starfolder.gif", // Icon URL
+                       I18n.gettext("method callers"), //$NON-NLS-1$
+                       I18n.gettext("method caller interceptions"), //$NON-NLS-1$
+                       "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                        null,
                        null, // menu
                        createConstructorMethodCallers(i, advisor, methodCallers), // sub nodes
@@ -485,8 +486,8 @@
             TreeNode[] cnodes = (TreeNode[]) conNodes.toArray(new TreeNode[conNodes.size()]);
             constructorNodes.add(createTreeNode(
                     shortenConstructor(advisor.getName(), con), // name
-                    "constructor info", // description
-                    "images/starfolder.gif", // Icon URL
+                    I18n.gettext("constructor info"), // description //$NON-NLS-1$
+                    "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                     null,
                     null, // menu
                     cnodes, // sub nodes
@@ -498,9 +499,9 @@
       {
          TreeNode[] cnodes = (TreeNode[]) constructorNodes.toArray(new TreeNode[constructorNodes.size()]);
          nodes.add(createTreeNode(
-                 "Constructors", // name
-                 "constructor info", // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Constructors"), // name //$NON-NLS-1$
+                 I18n.gettext("constructor info"), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  cnodes, // sub nodes
@@ -526,11 +527,11 @@
          if (method.getInterceptors() != null && method.getInterceptors().length > 0  || methodCallers != null || conCallers != null)
          {
             mNodes.add(createTreeNode(
-                    "Interceptors",
-                    "Execution Interceptors",
-                    "images/service.gif", // Icon URL
-                    "AOPMethodChain.jsp?classname=" + java.net.URLEncoder.encode(advisor.getName())
-                    + "&method=" + keys[i],
+                    I18n.gettext("Interceptors"), //$NON-NLS-1$
+                    I18n.gettext("Execution Interceptors"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPMethodChain.jsp?classname=" + java.net.URLEncoder.encode(advisor.getName()) //$NON-NLS-1$
+                    + "&method=" + keys[i], //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -539,9 +540,9 @@
          if (conCallers != null)
          {
             mNodes.add(createTreeNode(
-                    "constructor callers",
-                    "constructor caller interceptions",
-                    "images/starfolder.gif", // Icon URL
+                    I18n.gettext("constructor callers"), //$NON-NLS-1$
+                    I18n.gettext("constructor caller interceptions"), //$NON-NLS-1$
+                    "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                     null,
                     null, // menu
                     createMethodConstructorCallers(key, advisor, conCallers), // sub nodes
@@ -551,9 +552,9 @@
          if (methodCallers != null)
          {
             mNodes.add(createTreeNode(
-                    "method callers",
-                    "method caller interceptions",
-                    "images/starfolder.gif", // Icon URL
+                    I18n.gettext("method callers"), //$NON-NLS-1$
+                    I18n.gettext("method caller interceptions"), //$NON-NLS-1$
+                    "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                     null,
                     null, // menu
                     createMethodMethodCallers(key, advisor, methodCallers), // sub nodes
@@ -563,8 +564,8 @@
          TreeNode[] mnodes = (TreeNode[]) mNodes.toArray(new TreeNode[mNodes.size()]);
          methodNodes.add(createTreeNode(
                  shortenMethod(advisor.getName(), method.getAdvisedMethod()), // name
-                 "method info", // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("method info"), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  mnodes, // sub nodes
@@ -575,9 +576,9 @@
       {
          TreeNode[] cnodes = (TreeNode[]) methodNodes.toArray(new TreeNode[methodNodes.size()]);
          nodes.add(createTreeNode(
-                 "Methods", // name
-                 "method info", // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Methods"), // name //$NON-NLS-1$
+                 I18n.gettext("method info"), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  cnodes, // sub nodes
@@ -593,9 +594,9 @@
       {
          TreeNode[] introductionNodes = getIntroductions(advisor);
          TreeNode introductionsNode = createTreeNode(
-                 "Introductions", // name
-                 "Introductions for " + advisor.getName(), // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Introductions"), // name //$NON-NLS-1$
+                 I18n.gettext("Introductions for {0}", advisor.getName()), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  introductionNodes, // sub nodes
@@ -620,9 +621,12 @@
             CallerMethodInfo caller = (CallerMethodInfo) values[i];
             nodes.add(createTreeNode(
                     caller.getMethod().toString(),
-                    "caller interceptions",
-                    "images/service.gif", // Icon URL
-                    "AOPConstructorMethodCallerChain.jsp?index=" + index + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i])) + "&classname=" + java.net.URLEncoder.encode(advisor.getName()) + "&calledclassname=" + java.net.URLEncoder.encode(calledClass),
+                    I18n.gettext("caller interceptions"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPConstructorMethodCallerChain.jsp?index=" + index  //$NON-NLS-1$
+                    + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i]))  //$NON-NLS-1$
+                    + "&classname=" + java.net.URLEncoder.encode(advisor.getName())  //$NON-NLS-1$
+                    + "&calledclassname=" + java.net.URLEncoder.encode(calledClass), //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -647,9 +651,12 @@
             CallerConstructorInfo caller = (CallerConstructorInfo) values[i];
             nodes.add(createTreeNode(
                     caller.getConstructor().toString(),
-                    "caller interceptions",
-                    "images/service.gif", // Icon URL
-                    "AOPConstructorConstructorCallerChain.jsp?index=" + index + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i])) + "&classname=" + java.net.URLEncoder.encode(advisor.getName()) + "&calledclassname=" + java.net.URLEncoder.encode(calledClass),
+                    I18n.gettext("caller interceptions"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPConstructorConstructorCallerChain.jsp?index=" + index  //$NON-NLS-1$
+                    + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i]))  //$NON-NLS-1$
+                    + "&classname=" + java.net.URLEncoder.encode(advisor.getName())  //$NON-NLS-1$
+                    + "&calledclassname=" + java.net.URLEncoder.encode(calledClass), //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -674,9 +681,12 @@
             CallerMethodInfo caller = (CallerMethodInfo) values[i];
             nodes.add(createTreeNode(
                     caller.getMethod().toString(),
-                    "caller interceptions",
-                    "images/service.gif", // Icon URL
-                    "AOPMethodMethodCallerChain.jsp?callinghash=" + callingHash + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i])) + "&classname=" + java.net.URLEncoder.encode(advisor.getName()) + "&calledclassname=" + java.net.URLEncoder.encode(calledClass),
+                    I18n.gettext("caller interceptions"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPMethodMethodCallerChain.jsp?callinghash=" + callingHash  //$NON-NLS-1$
+                    + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i]))  //$NON-NLS-1$
+                    + "&classname=" + java.net.URLEncoder.encode(advisor.getName())  //$NON-NLS-1$
+                    + "&calledclassname=" + java.net.URLEncoder.encode(calledClass), //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -701,9 +711,12 @@
             CallerConstructorInfo caller = (CallerConstructorInfo) values[i];
             nodes.add(createTreeNode(
                     caller.getConstructor().toString(),
-                    "caller interceptions",
-                    "images/service.gif", // Icon URL
-                    "AOPMethodConstructorCallerChain.jsp?callinghash=" + callingHash + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i])) + "&classname=" + java.net.URLEncoder.encode(advisor.getName()) + "&calledclassname=" + java.net.URLEncoder.encode(calledClass),
+                    I18n.gettext("caller interceptions"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPMethodConstructorCallerChain.jsp?callinghash=" + callingHash  //$NON-NLS-1$
+                    + "&hash=" + java.net.URLEncoder.encode(Long.toString(keys[i]))  //$NON-NLS-1$
+                    + "&classname=" + java.net.URLEncoder.encode(advisor.getName())  //$NON-NLS-1$
+                    + "&calledclassname=" + java.net.URLEncoder.encode(calledClass), //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -724,9 +737,9 @@
          {
             unbounded.add(createTreeNode(
                     binding.getName(),
-                    "Unbounded Binding",
-                    "images/service.gif", // Icon URL
-                    "AOPBinding.jsp?binding=" + java.net.URLEncoder.encode(binding.getName()),
+                    I18n.gettext("Unbounded Binding"), //$NON-NLS-1$
+                    "images/service.gif", // Icon URL //$NON-NLS-1$
+                    "AOPBinding.jsp?binding=" + java.net.URLEncoder.encode(binding.getName()), //$NON-NLS-1$
                     null, // menu
                     null, // sub nodes
                     null   // Sub-Resources
@@ -749,8 +762,8 @@
          Package p = (Package) entry.getValue();
          nodes.add(createTreeNode(
                  pkgName, // name
-                 "Package " + pkgName, // description
-                 "images/starfolder.gif", // Icon URL
+                 I18n.gettext("Package {0}", pkgName), // description //$NON-NLS-1$
+                 "images/starfolder.gif", // Icon URL //$NON-NLS-1$
                  null, // Default URL
                  null, // menu
                  createAOPNodes(p), // sub nodes
@@ -765,8 +778,8 @@
          ClassAdvisor advisor = (ClassAdvisor) entry.getValue();
          nodes.add(createTreeNode(
                  classname, // name
-                 "Class " + classname, // description
-                 "images/serviceset.gif", // Icon URL
+                 I18n.gettext("Class {0}", classname), // description //$NON-NLS-1$
+                 "images/serviceset.gif", // Icon URL //$NON-NLS-1$
                  null,
                  null, // menu
                  createAdvisorNodes(advisor), // sub nodes
@@ -794,27 +807,27 @@
          TreeNode[] unbounded = getUnboundBindings();
          TreeNode[] children = new TreeNode[2];
          children[0] = createTreeNode(
-                 "Classes", // name
-                 "Display all Classes", // description
-                 "images/serviceset.gif", // Icon URL
+                 I18n.gettext("Classes"), // name //$NON-NLS-1$
+                 I18n.gettext("Display all Classes"), // description //$NON-NLS-1$
+                 "images/serviceset.gif", // Icon URL //$NON-NLS-1$
                  null, // Default URL
                  null,
                  createAOPNodes(Package.aopClassMap()), // sub nodes
                  null   // Sub-Resources
          );
          children[1] = createTreeNode(
-                 "Unbound Bindings", // name
-                 "Unbound Bindings", // description
-                 "images/serviceset.gif", // Icon URL
+                 I18n.gettext("Unbound Bindings"), // name //$NON-NLS-1$
+                 I18n.gettext("Unbound Bindings"), // description //$NON-NLS-1$
+                 "images/serviceset.gif", // Icon URL //$NON-NLS-1$
                  null, // Default URL
                  null,
                  unbounded, // sub nodes
                  null   // Sub-Resources
          );
          return createTreeNode (
-               "AOP", // name
-               "AOP Management", // description
-               "images/spirale32.gif", // Icon URL
+               I18n.gettext("AOP"), // name //$NON-NLS-1$
+               I18n.gettext("AOP Management"), // description //$NON-NLS-1$
+               "images/spirale32.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                children,
@@ -830,23 +843,23 @@
    
    public static String outputChain(Interceptor[] chain)
    {
-      String output = "";
+      String output = ""; //$NON-NLS-1$
       for (int i = 0; i < chain.length; i++)
       {
-         output += "<tr>";
+         output += "<tr>"; //$NON-NLS-1$
          if (chain[i] instanceof AbstractAdvice)
          {
-            output +="<td><font size=\"1\">advice</font></td><td><font size=\"1\">" + chain[i].getName() + "</font></td>";
+            output +="<td><font size=\"1\">advice</font></td><td><font size=\"1\">" + chain[i].getName() + "</font></td>"; //$NON-NLS-2$
          }
          else if (chain[i] instanceof CFlowInterceptor)
          {
-            output +="<td><font size=\"1\">cflow</font></td><td><font size=\"1\">" + ((CFlowInterceptor) chain[i]).getCFlowString() + "</font></td>";
+            output +="<td><font size=\"1\">cflow</font></td><td><font size=\"1\">" + ((CFlowInterceptor) chain[i]).getCFlowString() + "</font></td>"; //$NON-NLS-2$
          }
          else
          {
-            output +="<td><font size=\"1\">interceptor</font></td><td><font size=\"1\">" + chain[i].getClass().getName() + "</font></td>";
+            output +="<td><font size=\"1\">interceptor</font></td><td><font size=\"1\">" + chain[i].getClass().getName() + "</font></td>"; //$NON-NLS-2$
          }
-         output += "</tr>";
+         output += "</tr>"; //$NON-NLS-1$
       }
       return output;
    }
